elftosb::KeywrapOperation Class Reference

Operation to wrap and program keys. More...

`#include <Operation.h>`

Inheritance diagram for elftosb::KeywrapOperation:
[legend]
Collaboration diagram for elftosb::KeywrapOperation:
[legend]

## Public Member Functions

| KeywrapOperation ()
| Default constructor.
| KeywrapOperation (Keyblob *keyblob)
| Constructor. Takes a keyblob argument.
void | setKeyblob (Keyblob *keyblob)
Keyblob * | getKeyblob ()
Public Member Functions inherited from elftosb::LoadOperation
void | setSource (DataSource *source)
DataSource * | getSource ()
void | setTarget (DataTarget *target)
DataTarget * | getTarget ()
void | setDCDLoad (bool isDCD)
bool | isDCDLoad () const

## Protected Attributes

smart_ptr< Keyblob > | m_keyblob
| Active keyblob during this load.
Protected Attributes inherited from elftosb::LoadOperation
smart_ptr< DataSource > | m_source
smart_ptr< DataTarget > | m_target
bool | m_isDCDLoad

## Detailed Description

Operation to wrap and program keys.

The documentation for this class was generated from the following file:

- Operation.h